# Sprite Struct Reference

Data structure describing a sprite. More...

`#include <spritecache.h>`

## Data Fields
byte | height
| Height of the sprite.
uint16 | width
| Width of the sprite.
int16 | x_offs
| Number of pixels to shift the sprite to the right.
int16 | y_offs
| Number of pixels to shift the sprite downwards.
byte | data []
| Sprite data.

## Detailed Description

Data structure describing a sprite.

Definition at line 18 of file spritecache.h.

The documentation for this struct was generated from the following file:

- src/spritecache.h